package main

import (
	log "github.com/sirupsen/logrus"
	"os"
)

func restart() {
	if _, err := os.Stat(executable); err != nil {
		log.Fatalf("Error getting executable path, %s", err)
	}
	log.Infof("Program found at %s.", executable)
	wd, err := os.Getwd()
	if err != nil {
		log.Fatalf("Error getting working directory, %s", err)
	}
	log.Infof("Current working directory is %s.", wd)
	_, err = os.StartProcess(executable, []string{}, &os.ProcAttr{
		Dir:   wd,
		Env:   nil,
		Files: []*os.File{os.Stderr, os.Stdin, os.Stdout},
		Sys:   nil,
	})
	if err != nil {
		log.Fatalf("Error creating new process, %s", err)
	}
}
